.\" @(#)mp.man 1.3 93/08/01
.TH MP 1 "2 August 1993"
.ds Ps P\s-2OST\s+2S\s-2CRIPT\s+2
.SH NAME
.\" don't use Ps register in line below; goofs up output from whatis command
mp \- POSTSCRIPT pretty printer
.SH SYNOPSIS
.B mp
[
.B \-a4
] [
.B \-addhdr
.I type
] [
.B \-article
] [
.B \-chars
.I #
] [
.B \-columns
.I #
] [
.B \-content
] [
.B \-digest
] [
.B \-elm
] [
.B \-filofax
] [
.B \-folder
] [
.B \-franklin
] [
.B \-from
] [
.B \-help
] [
.B \-landscape
] [
.B \-linelength
.I #
] [
.B \-modtime
] [
.B \-nobanner
] [
.B \-number
] [
.B \-pagelength
.I #
] [
.B \-postscript
] [
.B \-printer
.I name
] [
.B \-prologue
.I name
] [
.B \-remhdr
.I type
] [
.B \-subject
.I text
] [
.B \-tab
.I #
] [
.B \-text
] [
.B \-timeman
] [
.B \-timesys
] [
.B \-us
] [
.B \-version
] [
.B \-words
.I #
] [
.B \-wrap
] [
.I filename .\|.\|.
]
.PP
.BR digestp " [ options] file ..."
.PP
.BR filep " [ options] file ..."
.PP
.BR filofaxp " [ options] file ..."
.PP
.BR franklinp " [ options] file ..."
.PP
.BR mailp " [ options] file ..."
.PP
.BR newsp " [ options] file ..."
.PP
.BR timemanp " [ options] file ..."
.PP
.BR timesysp " [ options] file ..."
.SH DESCRIPTION
The
.I mp
program reads each
.I filename
in sequence and generates a prettified version of the contents in
\*(Ps format. By default the output is sent to standard output. If you use
one of the different names, output is sent direct to the printer.
.PP
.I mailp
will print out mail messages.
.PP
.I newsp
will print out USENET news articles.
.PP
.I digestp
will print out USENET digest files.
.PP
.I filep
will print out ordinary ASCII files.
.PP
.I filofaxp
will print out in Filofax personal organiser format.
.PP
.I franklinp
will print out in Franklin Planner personal organiser format.
.PP
.I timemanp
will print out in Time Manager personal organiser format.
.PP
.I timesysp
will print out in Time/System International personal organiser format.
.PP
These programs will use the
.B PRINTER
or
.B LPDEST
environment variables to determine which printer the output is sent to.
.PP
If no filename argument is provided,
.I mp
reads the standard input.
If the standard input is a terminal, input is terminated by an
.SM EOF
signal, usually
.SM Ctrl-D\s0.
.PP
Mail items, news articles, ordinary ASCII files, complete mail folders,
and digests are all acceptable input formats for
.IR mp .
The output format includes grayscale lozenges containing banner information
at the top and bottom of every page.
.PP
The program is conveniently used in conjunction with the print button of the
.RI SunView/ xnews (1)
.IR mailtool (1)
programs, or the
.I pipe
command provided by
.IR mail (1).
Add the following two lines to your
.I .mailrc
file:
.br
.in +1.0i
.nf
\fCset printmail='mp -printer'
set cmd="mp -printer &"\fP
.fi
.in -1.0i
.PP
Source the
.I .mailrc
file, and you are ready to use
.IR mp .
For printing ordinary ASCII files, the following alias (to be placed in your
.I .cshrc
file) may also prove useful:
.br
.in +1.0i
.nf
\fCalias print 'mp -o -printer -s "\\!*" <\\!*'\fP
.fi
.in -1.0i
.SH OPTIONS
.TP
.B \-a4
Use A4 paper size (8.5 x 11.4 inches).
.\"======================================
.TP
.BI \-addhdr " type"
Add
.I type
to the list of mail or news headers to be printed.
.\"======================================
.TP
.B \-article
Format the file as a news article.
The top banner contains the text:
"Article from
.I newsgroup
", where
.I newsgroup
is the first news group found on the Newsgroups: line.
.\"======================================
.TP
.BI \-chars " #"
The maximum number of characters to extract from the gecos field of the users
.I /etc/passwd
entry. The default is 18.
.\"======================================
.TP
.BI \-columns " #"
Number of columns of output per page. This value will override the default
value in the prologue file.
.\"======================================
.TP
.B \-content
Instead of using "\\nFrom" to denote the start of new mail messages, mp will
look for (and use) the value of the Content-Length: mail header. If the
Content-Length doesn't take you to the next "\\nFrom", then it's wrong, and
mp falls back to looking for the next "\\nFrom" in the mail folder.
.\"======================================
.TP
.B \-digest
Format the file as a digest.
.\"======================================
.TP
.B \-elm
Assume the ELM mail frontend intermediate file format. Used when printing
messages from within ELM (using the "p" command), especially for printing
tagged messages. This option must be specified in your ELM option setup.
.\"======================================
.TP
.B \-filofax
Format the file for use with a Filofax personal organiser.
.\"======================================
.TP
.B \-folder
Format the file as a mail folder, printing multiple messages.
.\"======================================
.TP
.B \-franklin
Format the file for use with a Franklin Planner personal organiser.
.\"======================================
.TP
.B \-from
Instead of printing who the mail article is for, the top header will
contain who the mail article is from. A useful option for people with
their own personal printer.
.\"======================================
.TP      
.B \-help   
Print the usage message for
.I mp    
.\"======================================
.TP
.B \-landscape
Format output in landscape mode.
Two pages of text will be printed per sheet of paper.
.\"======================================
.TP
.BI \-linelength " #"
Maximum number of characters on each line of output. This value will override
the default value in the prologue file.
.\"======================================
.TP
.B \-modtime
Use the files last modification time (rather than the current time) in the
.I mp
banner. Note that this only works when the files are supplied on the command
line (as opposed to standard input).
.\"======================================
.TP
.B \-nobanner
If the output is destined for a printer, than banner printing is disabled.
Most of the information that typically appears on the banner sheet is output
in the \fImp\fR banners.
.\"======================================
.TP
.B \-number
Print the line number on each line output.
.\"======================================
.TP
.BI \-pagelength " #"
Maximum number of lines on each page of output. This value will override the
default value in the prologue file.
.\"======================================
.TP
.BI \-printer " name"
Send output to the named printer. Otherwise send output to the printer named
in the PRINTER or LPDEST environment variables.
.\"======================================
.TP
.B \-ps
If the mail or digest message just has PostScript as the text of the message,
then this is normally just passed straight through. Specifying this option,
causes PostScript to be printed as text.
.\"======================================
.TP
.BI \-prologue " name"
Employ the file
.I name
as the \*(Ps prologue file,
overriding any previously defined file names.
.\"======================================
.TP
.BI \-remhdr " type"
Add
.I type
to the list of mail or news headers which will not be printed.
.\"======================================
.TP      
.BI \-subject " text"
Use      
.I " text"
as the new subject for the printout. If you are printing ordinary ASCII
files which have been specified on the command line, the the subject will
default to the name of each of these files.
.\"======================================
.TP
.BI \-tab " #"
The number of spaces to output when encountering a tab character.
.TP
.B \-text
Format the file as an ordinary ASCII text file.
.\"======================================
.TP      
.B \-timeman  
Format the file for use with the Time Manager personal organiser.
.\"======================================
.TP      
.B \-timesys
format the file for use with the Time/System International personal organiser.
.\"======================================
.TP
.B \-us
Use US paper size (8.5 x 11 inches).
.\"======================================
.TP
.B \-version
Print the version number of this release of
.IR mp .
.\"======================================
.TP
.BI \-words " #"
The maximum number of words to extract from the gecos field of the users
.I /etc/passwd
entry. The default is 3.
.\"======================================
.TP
.B \-wrap
Wrap words onto the next line of output.
.\"======================================
.SH "ENVIRONMENT VARIABLES"
The default output printer is determined by looking at the
.I PRINTER
environment variable for BSD systems or the
.I LPDEST
environment variable for System V systems.
.PP
The
.I mp
prologue file is determined by first looking for the environment variable
.IR MP_PROLOGUE ,
which specifies the directory where
.I mp
prologue files are to be found.
If
.I MP_PROLOGUE
is not found, then the default directory is assumed
.RI ( LIBDIR/mp.pro.ps ).
.SH "SUPPLIED PROLOGUE FILES"
The following prologue files are provided:
.RS
.TP
.I mp.pro.ps
Used by default
.TP
.I mp.pro.l.ps
Used by the
.B \-l
landscape mode option
.TP
.I mp.pro.ff.ps
Used if the
.B \-ff
option is in effect
.TP
.I mp.pro.fp.ps
Used if the
.B \-fp
option is in effect
.TP
.I mp.pro.tm.ps
Used if the
.B \-tm
option is in effect
.TP
.I mp.pro.ts.ps
Used if the
.B \-ts
option is in effect
.TP
.I mp.pro.alt.ps
An alternative modification of the default prologue file which outputs the
page number in the right corner of the bottom banner.
.TP
.I mp.pro.altl.ps
An alternative landscape option mode prologue file.
.RE
.SH FILES
.TP
.I .cshrc
initialization file for
.IR csh (1)
.TP
.I .mailrc
initialization file for
.IR mail (1)
.TP
.I BINDIR/mp
executable
.TP
.I LIBDIR/mp.pro.ps
\*(Ps prologue for mail printing
.TP
.I LIBDIR/mp.pro.l.ps
\*(Ps prologue for landscape format
.TP
.I LIBDIR/mp.pro.alt.ps
alternative "default" \*(Ps prologue, inserts page
numbers in the bottom right corner of each page
.TP
.I LIBDIR/mp.pro.altl.ps
alternative "landscape" \*(Ps prologue.
.TP
.I LIBDIR/mp.pro.ff.ps
\*(Ps prologue for Filofax format
.TP
.I LIBDIR/mp.pro.fp.ps
\*(Ps prologue for Franklin Planner format.
.TP
.I LIBDIR/mp.pro.tm.ps
\*(Ps prologue for Time Manager format
.TP
.I LIBDIR/mp.pro.ts.ps
\*(Ps prologue for Time/System International
format.
.SH "SEE ALSO"
.IR mail (1),
.IR mailtool (1),
.IR xnews (1)
.SH AUTHORS
Original version by Steve Holden.
.PP
Converted to C then C++, modified and maintained by Rich Burridge, SunSoft Inc.
.PP
Original modified to handle net news articles and MH mail by Bruno Pillard, Chorus Systemes, France.
.PP
Handling of mail digests added by Dave Glowacki of Public Works Computer Services, St Paul, MN.
.PP
Original manual page revised by Rick Rodgers, UCSF School of Pharmacy, San Francicso.
.PP
Support for Personal Organiser printing style added by Douglas Buchanan,
Sun Microsystems Europe.
.PP
Substantial modifications to header parsing by Jeremy Webber,
Computer Science Department, University of Adelaide, Australia.
.PP
Support for printing multiple files and subject line filename print for
ordinary ASCII files added by Sam Manoharan, Edinburgh University.
.PP
Support for landscape mode written by Michael Tuchiarone.
.PP
Revision of the \*(Ps structuring and the way that the prologue files
are handled was included by Johan Vromans.
.PP
New style \*(Ps prologue files by John Macdonald.
.PP
Support for the ISO8859 character set by Bertrand DeCouty.
.PP
.nf
Rich Burridge.  PHONE: (USA) (415) 336 6261  MAIL: richb@Eng.Sun.COM
.fi
.\" end of man page
